Boomi Agent Garden Design APIs - Agents
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
List All Agents
List all agents with pagination and filtering options.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW.
Authorizations:
query Parameters
| page | integer (Page) >= 1 Default: 1 Page number to retrieve |
| page_size | integer (Page Size) [ 1 .. 100 ] Default: 100 Number of records per page |
| sort_by | string (Sort By) Default: "last_updated_on" Field to sort by |
| sort_order | string (Sort Order) ^(asc|desc)$ Default: "desc" Sort order (default: desc) |
| agent_status | Array of strings (Agent Status) Items Enum: "DRAFT" "ACTIVE" "DISABLED" Filter by agent status |
| favorite | boolean (Favorite) Default: false Filter by favorite status |
| search_term | string (Search Term) Filter by a substring match in name or objective |
| has_active_deployments | boolean (Has Active Deployments) Default: false Filter to return only agents with active deployments |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PaginationResponse[AgentSummaryResponse] (object) or PaginationResponse[AgentFavoriteResponse] (object) or Data (null) (Data) |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Agents retrieved successfully",
- "data": {
- "total_items": 1,
- "total_pages": 1,
- "current_page": 1,
- "page_size": 100,
- "items": [
- {
- "id": "ddccf1ad-c01f-4d13-b8f2-98730cc204a2",
- "created_on": "2026-05-22T11:29:55.843727Z",
- "last_updated_on": "2026-05-22T11:29:55.843727Z",
- "installed_on": null,
- "objective": "Order to customer agent",
- "name": "Enterprise O2C Agent",
- "profile_picture": null,
- "is_favorite": false,
- "tools": [
- {
- "tool_id": "54aac1e8-55ec-40fd-9e79-cd7bebc96ab7",
- "tool_type": "Integration"
}, - {
- "tool_id": "ff659ceb-30e7-4ab2-9405-f7ee9b8866e0",
- "tool_type": "Application"
}, - {
- "tool_id": "cb655a19-3b10-4538-894d-789074d4f5d6",
- "tool_type": "OpenAPI"
}, - {
- "tool_id": "46561b17-b801-47f5-8752-c8e43bd881c3",
- "tool_type": "OpenAPI"
}, - {
- "tool_id": "408c1475-db13-4d0a-adab-0c8fcbd22014",
- "tool_type": "Hub"
}, - {
- "tool_id": "1ec0e30d-cf66-4dbf-8c32-7c3b98c2b3a0",
- "tool_type": "MCP"
}, - {
- "tool_id": "54e59137-ecf1-4643-ae45-ee8da3bc0122",
- "tool_type": "MCP"
}, - {
- "tool_id": "51b6bb37-051b-44a8-a0c8-70a59bb5aa50",
- "tool_type": "OpenAPI"
}, - {
- "tool_id": "fe3c7ab4-1152-426d-b18a-22eabfae56e2",
- "tool_type": "MCP"
}, - {
- "tool_id": "6f27a28c-e7c0-4bc6-8759-02427b2b3604",
- "tool_type": "MCP"
}, - {
- "tool_id": "50a09cb6-e6ba-4e93-b397-0e09c96dfde1",
- "tool_type": "MCP"
}
], - "agent_mode": "conversational",
- "deployment_count": 1,
- "active_deployment_count": 1,
- "packages_count": 2
}
]
}
}Create A New Agent
Create a new agent based on the provided data.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_CREATE.
Authorizations:
Request Body schema: application/jsonrequired
| objective required | string (Objective) Objective of the agent. |
Name (string) or Name (null) (Name) Default: "Untitled" Name of the agent. | |
PersonalityTraits (object) or null Traits defining the agent's personality. | |
ProfilePicture (object) or null Attributes of the agent's profile picture. | |
Array of Conversation Starters (strings) or Conversation Starters (null) (Conversation Starters) Suggested conversation openers. | |
Array of Tasks (objects) or Tasks (null) (Tasks) Tasks assigned to the agent. | |
GuardrailBase (object) or Guardrail (object) or Guardrails (null) (Guardrails) Safety, compliance, and behavior guidelines for the agent. | |
| agent_mode | string (AgentMode) Default: "conversational" Enum: "conversational" "structured" Mode of the agent. |
Input Schema Id (string) or Input Schema Id (null) (Input Schema Id) Unique identifier for the input schema | |
SchemaType (string) or null Format of input schema for structured agents. | |
Input Schema (string) or Input Schema (null) (Input Schema) Schema that agent expects to receive. | |
Output Schema Id (string) or Output Schema Id (null) (Output Schema Id) Unique identifier for the output schema | |
SchemaType (string) or null Format of output schema for structured agents. | |
Output Schema (string) or Output Schema (null) (Output Schema) Schema which agent response should adhere to. | |
InferenceConfiguration (object) or null Inference settings for Agent LLM. |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
AgentDetailedResponse (object) or null |
Request samples
- Payload
{- "name": "Enterprise O2C Agent",
- "objective": "Order to customer agent",
- "agent_mode": "conversational",
- "personality_traits": {
- "voice_tone": "Friendly",
- "creativity": 50,
- "decisiveness": 50,
- "clarity": 50,
- "confidence": 50,
- "engagement": 50
}, - "tasks": [
- {
- "name": "Create Order",
- "objective": "Help customers order the desired products.",
- "instructions": [
- "1. Parse shipping_address as JSON with street, city, state, zip, country fields.",
- "2. Parse items as an array of { product_sku, quantity } objects.",
- "3. Pass all parameters to the Create_Sales_Order_Process tool.",
- "4. Return the final result."
], - "tools": [
- {
- "id": "54aac1e8-55ec-40fd-9e79-cd7bebc96ab7",
- "type": "Integration",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Notify Customer",
- "objective": "For any customer activity send notification to customer.",
- "instructions": [
- "1. Use customer_id as recipient_id.",
- "2. Extract notification_type: ORDER_CONFIRMATION | ORDER_SHIPPED | ORDER_DELIVERED | PAYMENT_RECEIVED | PAYMENT_FAILED | CREDIT_APPROVED | CREDIT_DENIED | GENERAL",
- "3. Send an email using the Send Email tool."
], - "tools": [
- {
- "id": "ff659ceb-30e7-4ab2-9405-f7ee9b8866e0",
- "type": "Application",
- "requires_approval": true,
- "response_passthrough": false
}
]
}, - {
- "name": "Customer Details",
- "objective": "Use this task to check customer identity and details.",
- "instructions": [
- "Use customer_id to fetch details for the Hub tool. Use filters for the API tools."
], - "tools": [
- {
- "id": "cb655a19-3b10-4538-894d-789074d4f5d6",
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "46561b17-b801-47f5-8752-c8e43bd881c3",
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Customer Credit history check",
- "objective": "Given a customer_id, check customer information and find tax_id, then check credit history.",
- "instructions": [
- "Fetch details from Customer Details task using customer_id.",
- "Use tax_id to search for customer credit history.",
- "Return the provided information."
], - "tools": [
- {
- "id": "408c1475-db13-4d0a-adab-0c8fcbd22014",
- "type": "Hub",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Product & Inventory Check",
- "objective": "Get product information and real-time inventory availability.",
- "instructions": [ ],
- "tools": [
- {
- "id": "1ec0e30d-cf66-4dbf-8c32-7c3b98c2b3a0",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "54e59137-ecf1-4643-ae45-ee8da3bc0122",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "External Credit Check",
- "objective": "Check credit score for customer for big orders.",
- "instructions": [
- "Get bureau details for customer_id, requested_amount, and check_type (FULL | SOFT | QUICK)."
], - "tools": [
- {
- "id": "51b6bb37-051b-44a8-a0c8-70a59bb5aa50",
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Payment Processing",
- "objective": "Process payments and update finance status.",
- "instructions": [ ],
- "tools": [
- {
- "id": "fe3c7ab4-1152-426d-b18a-22eabfae56e2",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "6f27a28c-e7c0-4bc6-8759-02427b2b3604",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "50a09cb6-e6ba-4e93-b397-0e09c96dfde1",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}
]
}
]
}Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Agent created successfully",
- "data": {
- "id": "458de744-858e-4d79-ac7e-cd9a2ae9457b",
- "created_on": "2026-06-01T12:39:18.268682Z",
- "last_updated_on": "2026-06-01T12:39:18.268682Z",
- "installed_on": null,
- "objective": "Order to customer agent",
- "name": "Enterprise O2C Agent",
- "personality_traits": {
- "voice_tone": "Friendly",
- "creativity": 50,
- "decisiveness": 50,
- "clarity": 50,
- "confidence": 50,
- "engagement": 50
}, - "profile_picture": null,
- "conversation_starters": [ ],
- "tasks": [
- {
- "name": "Create Order",
- "objective": "Help customers order the desired products.",
- "instructions": [
- "1. Parse shipping_address as JSON with street, city, state, zip, country fields.\n2. Parse items as an array of { product_sku, quantity } objects.\n3. Pass all parameters to the Create_Sales_Order_Process tool.\n4. Return the final result."
], - "tools": [
- {
- "id": "54aac1e8-55ec-40fd-9e79-cd7bebc96ab7",
- "name": null,
- "type": "Integration",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Notify Customer",
- "objective": "For any customer activity send notification to customer.",
- "instructions": [
- "1. Use customer_id as recipient_id.\n2. Extract notification_type: ORDER_CONFIRMATION | ORDER_SHIPPED | ORDER_DELIVERED | PAYMENT_RECEIVED | PAYMENT_FAILED | CREDIT_APPROVED | CREDIT_DENIED | GENERAL\n3. Send an email using the Send Email tool."
], - "tools": [
- {
- "id": "ff659ceb-30e7-4ab2-9405-f7ee9b8866e0",
- "name": null,
- "type": "Application",
- "requires_approval": true,
- "response_passthrough": false
}
]
}, - {
- "name": "Customer Details",
- "objective": "Use this task to check customer identity and details.",
- "instructions": [
- "Use customer_id to fetch details for the Hub tool. Use filters for the API tools."
], - "tools": [
- {
- "id": "cb655a19-3b10-4538-894d-789074d4f5d6",
- "name": null,
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "46561b17-b801-47f5-8752-c8e43bd881c3",
- "name": null,
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Customer Credit history check",
- "objective": "Given a customer_id, check customer information and find tax_id, then check credit history.",
- "instructions": [
- "Fetch details from Customer Details task using customer_id.\nUse tax_id to search for customer credit history.\nReturn the provided information."
], - "tools": [
- {
- "id": "408c1475-db13-4d0a-adab-0c8fcbd22014",
- "name": null,
- "type": "Hub",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Product & Inventory Check",
- "objective": "Get product information and real-time inventory availability.",
- "instructions": [ ],
- "tools": [
- {
- "id": "1ec0e30d-cf66-4dbf-8c32-7c3b98c2b3a0",
- "name": null,
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "54e59137-ecf1-4643-ae45-ee8da3bc0122",
- "name": null,
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "External Credit Check",
- "objective": "Check credit score for customer for big orders.",
- "instructions": [
- "Get bureau details for customer_id, requested_amount, and check_type (FULL | SOFT | QUICK)."
], - "tools": [
- {
- "id": "51b6bb37-051b-44a8-a0c8-70a59bb5aa50",
- "name": null,
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Payment Processing",
- "objective": "Process payments and update finance status.",
- "instructions": [ ],
- "tools": [
- {
- "id": "fe3c7ab4-1152-426d-b18a-22eabfae56e2",
- "name": null,
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "6f27a28c-e7c0-4bc6-8759-02427b2b3604",
- "name": null,
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "50a09cb6-e6ba-4e93-b397-0e09c96dfde1",
- "name": null,
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}
]
}
], - "guardrails": null,
- "agent_mode": "conversational",
- "inference_configuration": {
- "performance_config": {
- "processing_mode": "standard",
- "rationale": true
}
}, - "is_favorite": false,
- "deployments": null,
- "packages_count": 0
}
}Get A Specific Agent By Id
Retrieve a specific agent by its ID.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW.
Authorizations:
path Parameters
| agent_id required | string <uuid> (Agent Id) |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
AgentDetailedResponse (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Agent retrieved successfully",
- "data": {
- "id": "458de744-858e-4d79-ac7e-cd9a2ae9457b",
- "created_on": "2026-06-01T12:39:18.268682Z",
- "last_updated_on": "2026-06-01T12:39:18.268682Z",
- "installed_on": null,
- "objective": "Order to customer agent",
- "name": "Enterprise O2C Agent",
- "personality_traits": {
- "voice_tone": "Friendly",
- "creativity": 50,
- "decisiveness": 50,
- "clarity": 50,
- "confidence": 50,
- "engagement": 50
}, - "profile_picture": null,
- "conversation_starters": [ ],
- "tasks": [
- {
- "name": "Create Order",
- "objective": "Help customers order the desired products.",
- "instructions": [
- "1. Parse shipping_address as JSON with street, city, state, zip, country fields.\n2. Parse items as an array of { product_sku, quantity } objects.\n3. Pass all parameters to the Create_Sales_Order_Process tool.\n4. Return the final result."
], - "tools": [
- {
- "id": "54aac1e8-55ec-40fd-9e79-cd7bebc96ab7",
- "name": null,
- "type": "Integration",
- "requires_approval": false,
- "response_passthrough": false
}
]
}
], - "guardrails": null,
- "agent_mode": "conversational",
- "inference_configuration": {
- "performance_config": {
- "processing_mode": "standard",
- "rationale": true
}
}, - "is_favorite": false,
- "deployments": [
- {
- "deployment_id": "e54b1f0b-aaaa-bbbb-cccc-ddddeeee0003",
- "environment_id": "e5f6a7b8-aaaa-bbbb-cccc-ddddeeee0004",
- "deployment_status": "ACTIVE",
- "deployed_on": "2026-06-01T13:00:00.000000Z"
}
], - "packages_count": 1
}
}Update An Existing Agent
Update an existing agent with the provided data.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_EDIT.
Authorizations:
path Parameters
| agent_id required | string <uuid> (Agent Id) |
Request Body schema: application/jsonrequired
Objective (string) or Objective (null) (Objective) Objective of the agent. | |
Name (string) or Name (null) (Name) Default: "Untitled" Name of the agent. | |
PersonalityTraits (object) or null Traits defining the agent's personality. | |
ProfilePicture (object) or null Attributes of the agent's profile picture. | |
Array of Conversation Starters (strings) or Conversation Starters (null) (Conversation Starters) Suggested conversation openers. | |
Array of Tasks (objects) or Tasks (null) (Tasks) Tasks assigned to the agent. | |
GuardrailBase (object) or Guardrail (object) or Guardrails (null) (Guardrails) Safety, compliance, and behavior guidelines for the agent. | |
| agent_mode | string (AgentMode) Default: "conversational" Enum: "conversational" "structured" Mode of the agent. |
Input Schema Id (string) or Input Schema Id (null) (Input Schema Id) Unique identifier for the input schema | |
SchemaType (string) or null Format of input schema for structured agents. | |
Input Schema (string) or Input Schema (null) (Input Schema) Schema that agent expects to receive. | |
Output Schema Id (string) or Output Schema Id (null) (Output Schema Id) Unique identifier for the output schema | |
SchemaType (string) or null Format of output schema for structured agents. | |
Output Schema (string) or Output Schema (null) (Output Schema) Schema which agent response should adhere to. | |
InferenceConfiguration (object) or null Inference settings for Agent LLM. |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
AgentDetailedResponse (object) or null |
Request samples
- Payload
{- "name": "Enterprise O2C Agent",
- "objective": "Order to customer agent",
- "agent_mode": "conversational",
- "personality_traits": {
- "voice_tone": "Friendly",
- "creativity": 50,
- "decisiveness": 50,
- "clarity": 50,
- "confidence": 50,
- "engagement": 50
}, - "tasks": [
- {
- "name": "Create Order",
- "objective": "Help customers order the desired products.",
- "instructions": [
- "1. Parse shipping_address as JSON with street, city, state, zip, country fields.",
- "2. Parse items as an array of { product_sku, quantity } objects.",
- "3. Pass all parameters to the Create_Sales_Order_Process tool.",
- "4. Return the final result."
], - "tools": [
- {
- "id": "54aac1e8-55ec-40fd-9e79-cd7bebc96ab7",
- "type": "Integration",
- "requires_approval": false,
- "response_passthrough": false
}
]
}
]
}Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Agent updated successfully",
- "data": {
- "id": "8ff7eb8c-4b35-476c-b8f4-6c4f27878dc3",
- "created_on": "2026-06-01T09:13:08.008179Z",
- "last_updated_on": "2026-06-01T12:39:06.942173Z",
- "installed_on": null,
- "objective": "Order to customer agent",
- "name": "Enterprise O2C Agent",
- "personality_traits": {
- "voice_tone": "Friendly",
- "creativity": 50,
- "decisiveness": 50,
- "clarity": 50,
- "confidence": 50,
- "engagement": 50
}, - "profile_picture": null,
- "conversation_starters": [ ],
- "tasks": [
- {
- "name": "Create Order",
- "objective": "Help customers order the desired products.",
- "instructions": [
- "1. Parse shipping_address as JSON with street, city, state, zip, country fields.\n2. Parse items as an array of { product_sku, quantity } objects.\n3. Pass all parameters to the Create_Sales_Order_Process tool.\n4. Return the final result."
], - "tools": [
- {
- "id": "54aac1e8-55ec-40fd-9e79-cd7bebc96ab7",
- "name": null,
- "type": "Integration",
- "requires_approval": false,
- "response_passthrough": false
}
]
}
], - "agent_mode": "conversational",
- "inference_configuration": {
- "performance_config": {
- "processing_mode": "standard",
- "rationale": true
}
}, - "is_favorite": false,
- "deployments": null,
- "packages_count": 0
}
}Delete An Existing Agent
Perform a soft delete on an agent by updating its status to DELETED.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_DELETE.
Authorizations:
path Parameters
| agent_id required | string <uuid> (Agent Id) |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
Agent (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Agent deleted successfully",
- "data": null
}List Packages For An Agent
Retrieve all the packages for a given agent ID.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW.
Authorizations:
path Parameters
| agent_id required | string <uuid> (Agent Id) |
query Parameters
| has_active_deployments | boolean (Has Active Deployments) Default: false Filter to return only packages with active deployments |
| page | integer (Page) >= 1 Default: 1 Page number to retrieve |
| page_size | integer (Page Size) [ 1 .. 100 ] Default: 100 Number of records per page |
| sort_by | string (Sort By) Default: "created_on" Field to sort by |
| sort_order | string (Sort Order) ^(asc|desc)$ Default: "desc" Sort order (default: desc) |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PaginationResponse[PackageSummaryResponse] (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Packages for Agent retrieved successfully",
- "data": {
- "total_items": 1,
- "total_pages": 1,
- "current_page": 1,
- "page_size": 100,
- "items": [
- {
- "package_id": "ec504e2b-aaaa-bbbb-cccc-ddddeeee0006",
- "name": "Enterprise O2C Agent",
- "version": "1.0",
- "agent_id": "458de744-858e-4d79-ac7e-cd9a2ae9457b",
- "deployment_count": 1,
- "created_on": "2026-06-01T13:00:00.000000Z",
- "last_updated_on": "2026-06-01T13:00:00.000000Z"
}
]
}
}Create An Agent Package
Create an Agent package given the agent ID. Optionally, the request body may include an environment ID to deploy the package to.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW, AGENT_CREATE.
Authorizations:
path Parameters
| agent_id required | string <uuid> (Agent Id) |
Request Body schema: application/json
| deploy_to_environment_id | string (Deploy To Environment Id) Agent Garden Environment ID to deploy the created package to |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PackageResponse (object) or DeploymentResponse (object) or Data (null) (Data) |
Request samples
- Payload
{- "deploy_to_environment_id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b"
}Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Package created successfully",
- "data": {
- "package_id": "ec504e2b-dda2-4c6a-902f-78a72d3ab056",
- "agent_id": "8ff7eb8c-4b35-476c-b8f4-6c4f27878dc3",
- "version": "1.0",
- "name": "Enterprise O2C Agent",
- "snapshot": {
- "objective": "Order to customer agent",
- "name": "Enterprise O2C Agent",
- "personality_traits": {
- "voice_tone": "Friendly",
- "creativity": 50,
- "decisiveness": 50,
- "clarity": 50,
- "confidence": 50,
- "engagement": 50
}, - "profile_picture": null,
- "conversation_starters": [ ],
- "tasks": [
- {
- "name": "Create Order",
- "objective": "Help customers order the desired products.",
- "instructions": [
- "1. Parse shipping_address as JSON with street, city, state, zip, country fields.\n2. Parse items as an array of { product_sku, quantity } objects.\n3. Pass all parameters to the Create_Sales_Order_Process tool.\n4. Return the final result."
], - "tools": [
- {
- "id": "54aac1e8-55ec-40fd-9e79-cd7bebc96ab7",
- "name": "Create_Sales_Order_Process",
- "type": "Integration",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Notify Customer",
- "objective": "For any customer activity send notification to customer customer@example.com",
- "instructions": [
- "1. Use customer_id as recipient_id.\n2. Extract notification_type: ORDER_CONFIRMATION | ORDER_SHIPPED | ORDER_DELIVERED | PAYMENT_RECEIVED | PAYMENT_FAILED | CREDIT_APPROVED | CREDIT_DENIED | GENERAL\n3. Send an email to customer@example.com using the Send Email tool."
], - "tools": [
- {
- "id": "ff659ceb-30e7-4ab2-9405-f7ee9b8866e0",
- "name": "Send Email",
- "type": "Application",
- "requires_approval": true,
- "response_passthrough": false
}
]
}, - {
- "name": "Customer Details",
- "objective": "Use this task to check customer identity and details.",
- "instructions": [
- "Use customer_id to fetch details for the Hub tool. Use filters for the API tools."
], - "tools": [
- {
- "id": "cb655a19-3b10-4538-894d-789074d4f5d6",
- "name": "O2C Customer filter",
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "46561b17-b801-47f5-8752-c8e43bd881c3",
- "name": "O2C Customer Search",
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Customer Credit history check",
- "objective": "Given a customer_id, check customer information and find tax_id, then check credit history.",
- "instructions": [
- "Fetch details from Customer Details task using customer_id.\nUse tax_id to search for customer credit history.\nReturn the provided information."
], - "tools": [
- {
- "id": "408c1475-db13-4d0a-adab-0c8fcbd22014",
- "name": "Query_Customer_Credit_History",
- "type": "Hub",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Product & Inventory Check",
- "objective": "Get product information and real-time inventory availability.",
- "instructions": [ ],
- "tools": [
- {
- "id": "1ec0e30d-cf66-4dbf-8c32-7c3b98c2b3a0",
- "name": "o2c-mock-server-api-qa--api_getProduct",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "54e59137-ecf1-4643-ae45-ee8da3bc0122",
- "name": "o2c-mock-server-api-qa--api_checkProductAvailability",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "External Credit Check",
- "objective": "Check credit score for customer for big orders.",
- "instructions": [
- "Get bureau details for customer_id, requested_amount, and check_type (FULL | SOFT | QUICK)."
], - "tools": [
- {
- "id": "51b6bb37-051b-44a8-a0c8-70a59bb5aa50",
- "name": "Perform Credit Check",
- "type": "OpenAPI",
- "requires_approval": false,
- "response_passthrough": false
}
]
}, - {
- "name": "Payment Processing",
- "objective": "Process payments and update finance status.",
- "instructions": [ ],
- "tools": [
- {
- "id": "fe3c7ab4-1152-426d-b18a-22eabfae56e2",
- "name": "o2c-mock-server-api-qa--api_processPayment",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "6f27a28c-e7c0-4bc6-8759-02427b2b3604",
- "name": "o2c-mock-server-api-qa--api_getPayment",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}, - {
- "id": "50a09cb6-e6ba-4e93-b397-0e09c96dfde1",
- "name": "o2c-mock-server-api-qa--api_refundPayment",
- "type": "MCP",
- "requires_approval": false,
- "response_passthrough": false
}
]
}
], - "guardrails": null,
- "agent_mode": "conversational",
- "input_schema_id": null,
- "input_schema_type": null,
- "input_schema": null,
- "output_schema_id": null,
- "output_schema_type": null,
- "output_schema": null,
- "inference_configuration": {
- "performance_config": {
- "processing_mode": "standard",
- "rationale": true
}
}, - "tool_definitions": [
- {
- "id": "54aac1e8-55ec-40fd-9e79-cd7bebc96ab7",
- "created_on": "2026-05-21T11:22:55.107734Z",
- "last_updated_on": "2026-05-21T12:50:12.824517Z",
- "installed_on": "2026-05-21T12:50:12.819966Z",
- "name": "Create_Sales_Order_Process",
- "description": "Triggers Boomi Integration process to create sales order in ERP",
- "input_parameters": [
- {
- "name": "customer_id",
- "description": "unique customer id",
- "required": true,
- "type": "string"
}, - {
- "name": "items",
- "description": "unique product id and quantity",
- "required": true,
- "type": "string"
}, - {
- "name": "shipping_address",
- "description": "address where order will be shipped",
- "required": true,
- "type": "string"
}
], - "environment_id": "<your-environment-id>",
- "environment_name": "Environment",
- "atom_id": "1234",
- "atom_name": "Atom",
- "process_id": "1234",
- "process_name": "Process",
- "dynamic_process_properties": {
- "customer_id": {
- "static_value": null,
- "input_parameter_name": "customer_id"
}, - "dpp_order_source": {
- "static_value": "AI AGENT",
- "input_parameter_name": null
}, - "items": {
- "static_value": null,
- "input_parameter_name": "items"
}, - "shipping_address": {
- "static_value": null,
- "input_parameter_name": "shipping_address"
}
}, - "tool_status": "ACTIVE",
- "type": "Integration"
}, - {
- "id": "ff659ceb-30e7-4ab2-9405-f7ee9b8866e0",
- "created_on": "2026-04-28T08:37:24.684234Z",
- "last_updated_on": "2026-04-28T08:37:24.684234Z",
- "installed_on": "2026-04-28T08:37:24.684234Z",
- "name": "gmailsendemail",
- "description": "Send an email via Gmail",
- "input_parameters": [
- {
- "name": "to",
- "description": "The email addresses of who the email is being sent to.",
- "required": true,
- "type": "string",
- "server_default": null,
- "title": "To",
- "user_default": null
}, - {
- "name": "subject",
- "description": "",
- "required": true,
- "type": "string",
- "server_default": null,
- "title": "Subject",
- "user_default": null
}, - {
- "name": "body",
- "description": "The main content of the email.",
- "required": true,
- "type": "string",
- "server_default": null,
- "title": "Body",
- "user_default": null
}
], - "server_id": "26c6f3d8-8d0f-4af0-8f73-ab0bf8594b92",
- "fabric_tool_id": "gmail_gmailsendemail_invoke",
- "tool_function": "invoke",
- "title": "Send Email",
- "input_schema": {
- "type": "object",
- "required": [
- "to",
- "subject",
- "body"
], - "properties": {
- "to": {
- "type": "array",
- "items": {
- "type": "string"
}, - "description": "The email addresses of who the email is being sent to.",
- "x-fabric-type": "multistring"
}, - "body": {
- "type": "string",
- "default": null,
- "description": "The main content of the email.",
- "x-fabric-type": "stringmultiline"
}, - "subject": {
- "type": "string",
- "default": null,
- "x-fabric-type": "string"
}
}
}, - "auth_type": "oauth",
- "type": "Application"
}, - {
- "id": "cb655a19-3b10-4538-894d-789074d4f5d6",
- "created_on": "2026-05-21T09:25:52.268675Z",
- "last_updated_on": "2026-05-21T10:55:45.913230Z",
- "installed_on": "2026-05-21T10:55:45.912061Z",
- "name": "O2C Customer filter",
- "description": "Search customers",
- "input_parameters": [
- {
- "name": "filters",
- "description": "Filters object: { \"account_status\": \"ACTIVE\", \"customer_name_contains\": \"Acme\", \"email\": \"\"}",
- "required": false,
- "type": "string"
}, - {
- "name": "limit",
- "description": "no of records",
- "required": false,
- "type": "integer"
}, - {
- "name": "offset",
- "description": "offset value",
- "required": false,
- "type": "integer"
}
], - "path": "/qa/customers/search",
- "method": "POST",
- "query_parameters": [
- {
- "name": "filters",
- "input_parameter_name": "filters",
- "static_value": null
}, - {
- "name": "limit",
- "input_parameter_name": "limit",
- "static_value": null
}, - {
- "name": "offset",
- "input_parameter_name": "offset",
- "static_value": null
}
], - "path_parameters": null,
- "headers": "<encrypted-headers>",
- "authentication": null,
- "request_body": null,
- "source_id": null,
- "source_name": null,
- "tool_status": "ACTIVE",
- "type": "OpenAPI"
}, - {
- "id": "46561b17-b801-47f5-8752-c8e43bd881c3",
- "created_on": "2026-05-21T09:27:30.577285Z",
- "last_updated_on": "2026-05-21T10:52:32.670128Z",
- "installed_on": "2026-05-21T10:52:32.669545Z",
- "name": "O2C Customer Search",
- "description": "Search customer based on customer_id",
- "input_parameters": [
- {
- "name": "customer_id",
- "description": "unique customer id",
- "required": true,
- "type": "string"
}
], - "path": "/qa/customers/{customer_id}",
- "method": "GET",
- "query_parameters": null,
- "path_parameters": [
- {
- "name": "customer_id",
- "input_parameter_name": "customer_id",
- "static_value": null
}
], - "headers": "<encrypted-headers>",
- "authentication": null,
- "request_body": null,
- "source_id": null,
- "source_name": null,
- "tool_status": "ACTIVE",
- "type": "OpenAPI"
}, - {
- "id": "408c1475-db13-4d0a-adab-0c8fcbd22014",
- "created_on": "2026-05-21T12:45:59.439387Z",
- "last_updated_on": "2026-05-21T12:52:13.145083Z",
- "installed_on": "2026-05-21T12:52:13.144106Z",
- "name": "Query_Customer_Credit_History",
- "description": "Check customer credit history",
- "input_parameters": [
- {
- "name": "tax_id",
- "description": "unique tax id",
- "required": true,
- "type": "string"
}
], - "repository_id": "05c5ca1e-1d8e-4466-9cb5-c9138fc2b2cf",
- "repository_name": "Repository",
- "universe_id": "d2f8d469-da30-42f8-a493-fdefa63c25a0",
- "universe_name": "Universe",
- "cloud_host": "your-hub.pipeline.boomi.com",
- "fields": [
- {
- "unique_id": "TAX_ID",
- "pretty_name": "Tax ID",
- "path": "tax_id",
- "data_type": "STRING",
- "repeatable": false
}
], - "limit": 200,
- "filter_operator": null,
- "filter_fields": [ ],
- "tool_status": "ACTIVE",
- "type": "Hub"
}, - {
- "id": "1ec0e30d-cf66-4dbf-8c32-7c3b98c2b3a0",
- "created_on": "2026-05-21T08:53:44.909965Z",
- "last_updated_on": "2026-05-21T08:53:44.909965Z",
- "installed_on": "2026-05-21T08:53:44.909965Z",
- "name": "o2c-mock-server-api-qa--api_getProduct",
- "description": "Get product by SKU\nRetrieve product details by SKU",
- "input_parameters": null,
- "server_id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "title": "o2c-mock-server-api-qa (1.0) - Get product by SKU",
- "input_schema": {
- "type": "object",
- "properties": {
- "parameters": {
- "required": [
- "product_sku"
], - "type": "object",
- "properties": {
- "product_sku": {
- "type": "string",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}
}, - "description": "Additional parameters needed for this call",
- "exampleSetFlag": false,
- "types": [
- "object"
]
}
}, - "required": [
- "parameters"
]
}, - "tool_status": "ACTIVE",
- "type": "MCP"
}, - {
- "id": "54e59137-ecf1-4643-ae45-ee8da3bc0122",
- "created_on": "2026-05-21T08:53:44.922581Z",
- "last_updated_on": "2026-05-21T08:53:44.922581Z",
- "installed_on": "2026-05-21T08:53:44.922581Z",
- "name": "o2c-mock-server-api-qa--api_checkProductAvailability",
- "description": "Check product availability\nCheck if requested quantity of a product is available in stock",
- "input_parameters": null,
- "server_id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "title": "o2c-mock-server-api-qa (1.0) - Check product availability",
- "input_schema": {
- "type": "object",
- "properties": {
- "content": {
- "required": [
- "product_sku",
- "quantity"
], - "type": "object",
- "properties": {
- "product_sku": {
- "type": "string",
- "description": "Product SKU to check (e.g. SKU-LAPTOP-001)",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}, - "quantity": {
- "minimum": 1,
- "type": "integer",
- "description": "Requested quantity",
- "exampleSetFlag": false,
- "types": [
- "integer"
]
}, - "warehouse_region": {
- "type": "string",
- "description": "Preferred warehouse region for inventory check",
- "exampleSetFlag": false,
- "types": [
- "string"
], - "enum": [
- "US-EAST",
- "US-WEST",
- "US-CENTRAL",
- "EU-WEST",
- "APAC"
]
}
}, - "exampleSetFlag": false,
- "types": [
- "object"
]
}
}, - "required": [
- "content"
]
}, - "tool_status": "ACTIVE",
- "type": "MCP"
}, - {
- "id": "51b6bb37-051b-44a8-a0c8-70a59bb5aa50",
- "created_on": "2026-05-21T09:34:44.826140Z",
- "last_updated_on": "2026-05-21T10:50:25.061912Z",
- "installed_on": "2026-05-21T10:50:25.060489Z",
- "name": "Perform Credit Check",
- "description": "Performs a credit check against an external credit bureau.",
- "input_parameters": [
- {
- "name": "customer_id",
- "description": "Unique identifier for the customer undergoing the credit check",
- "required": false,
- "type": "string"
}, - {
- "name": "requested_amount",
- "description": "The credit amount being requested, in currency units",
- "required": false,
- "type": "integer"
}, - {
- "name": "check_type",
- "description": "FULL (90-day), SOFT (30-day), or QUICK (7-day)",
- "required": false,
- "type": "string"
}
], - "path": "/credit-check",
- "method": "POST",
- "query_parameters": null,
- "path_parameters": null,
- "headers": "<encrypted-headers>",
- "authentication": null,
- "request_body": "<encrypted-request-body>",
- "source_id": null,
- "source_name": null,
- "tool_status": "ACTIVE",
- "type": "OpenAPI"
}, - {
- "id": "fe3c7ab4-1152-426d-b18a-22eabfae56e2",
- "created_on": "2026-05-21T08:53:44.925746Z",
- "last_updated_on": "2026-05-21T08:53:44.925746Z",
- "installed_on": "2026-05-21T08:53:44.925746Z",
- "name": "o2c-mock-server-api-qa--api_processPayment",
- "description": "Process a payment\nProcess payment for an order. Requires order_id and amount.",
- "input_parameters": null,
- "server_id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "title": "o2c-mock-server-api-qa (1.0) - Process a payment",
- "input_schema": {
- "type": "object",
- "properties": {
- "content": {
- "required": [
- "amount",
- "order_id"
], - "type": "object",
- "properties": {
- "order_id": {
- "type": "string",
- "description": "Order identifier to pay for (e.g. ORD-A1B2C3D4)",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}, - "amount": {
- "type": "number",
- "description": "Payment amount in USD (e.g. 2130.91)",
- "exampleSetFlag": false,
- "types": [
- "number"
]
}, - "payment_method": {
- "type": "string",
- "description": "Payment method",
- "exampleSetFlag": false,
- "types": [
- "string"
], - "enum": [
- "CREDIT_CARD",
- "DEBIT_CARD",
- "ACH",
- "WIRE",
- "INVOICE"
]
}, - "payment_details": {
- "type": "object",
- "properties": {
- "card_number": {
- "type": "string",
- "description": "Card number (e.g. 4111111111111234)",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}, - "expiry": {
- "type": "string",
- "description": "Expiry date MM/YY (e.g. 12/25)",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}, - "cvv": {
- "type": "string",
- "description": "CVV code (e.g. 123)",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}, - "cardholder_name": {
- "type": "string",
- "description": "Name on card (e.g. John Smith)",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}
}, - "description": "Card or bank details",
- "exampleSetFlag": false,
- "types": [
- "object"
]
}, - "is_partial": {
- "type": "boolean",
- "description": "Whether this is a partial payment",
- "exampleSetFlag": false,
- "types": [
- "boolean"
]
}
}, - "exampleSetFlag": false,
- "types": [
- "object"
]
}
}, - "required": [
- "content"
]
}, - "tool_status": "ACTIVE",
- "type": "MCP"
}, - {
- "id": "6f27a28c-e7c0-4bc6-8759-02427b2b3604",
- "created_on": "2026-05-21T08:53:44.928121Z",
- "last_updated_on": "2026-05-21T08:53:44.928121Z",
- "installed_on": "2026-05-21T08:53:44.928121Z",
- "name": "o2c-mock-server-api-qa--api_getPayment",
- "description": "Get payment by ID\nRetrieve payment details by payment ID",
- "input_parameters": null,
- "server_id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "title": "o2c-mock-server-api-qa (1.0) - Get payment by ID",
- "input_schema": {
- "type": "object",
- "properties": {
- "parameters": {
- "required": [
- "payment_id"
], - "type": "object",
- "properties": {
- "payment_id": {
- "type": "string",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}
}, - "description": "Additional parameters needed for this call",
- "exampleSetFlag": false,
- "types": [
- "object"
]
}
}, - "required": [
- "parameters"
]
}, - "tool_status": "ACTIVE",
- "type": "MCP"
}, - {
- "id": "50a09cb6-e6ba-4e93-b397-0e09c96dfde1",
- "created_on": "2026-05-21T08:53:44.929778Z",
- "last_updated_on": "2026-05-21T08:53:44.929778Z",
- "installed_on": "2026-05-21T08:53:44.929778Z",
- "name": "o2c-mock-server-api-qa--api_refundPayment",
- "description": "Refund a payment\nProcess a full or partial refund for an existing payment",
- "input_parameters": null,
- "server_id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "title": "o2c-mock-server-api-qa (1.0) - Refund a payment",
- "input_schema": {
- "type": "object",
- "properties": {
- "content": {
- "required": [
- "reason"
], - "type": "object",
- "properties": {
- "amount": {
- "type": "number",
- "description": "Refund amount (optional, defaults to full refund)",
- "exampleSetFlag": false,
- "types": [
- "number"
]
}, - "reason": {
- "type": "string",
- "description": "Reason for refund",
- "exampleSetFlag": false,
- "types": [
- "string"
], - "enum": [
- "CUSTOMER_REQUEST",
- "PRODUCT_DEFECT",
- "ORDER_CANCELLED",
- "DUPLICATE_PAYMENT",
- "OTHER"
]
}, - "notes": {
- "type": "string",
- "description": "Additional refund notes",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}
}, - "exampleSetFlag": false,
- "types": [
- "object"
]
}, - "parameters": {
- "required": [
- "payment_id"
], - "type": "object",
- "properties": {
- "payment_id": {
- "type": "string",
- "exampleSetFlag": false,
- "types": [
- "string"
]
}
}, - "description": "Additional parameters needed for this call",
- "exampleSetFlag": false,
- "types": [
- "object"
]
}
}, - "required": [
- "content",
- "parameters"
]
}, - "tool_status": "ACTIVE",
- "type": "MCP"
}
], - "source_definitions": [
- {
- "id": "26c6f3d8-8d0f-4af0-8f73-ab0bf8594b92",
- "created_on": "2026-04-28T08:37:24.682277Z",
- "last_updated_on": "2026-04-28T08:37:24.682277Z",
- "installed_on": null,
- "name": "Gmail",
- "description": "Google's email service",
- "url": null,
- "fabric_application_id": "gmail",
- "application_icon": "PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjUyIDQyIDg4IDY2Ij4NCjxwYXRoIGZpbGw9IiM0Mjg1ZjQiIGQ9Ik01OCAxMDhoMTRWNzRMNTIgNTl2NDNjMCAzLjMyIDIuNjkgNiA2IDYiLz4NCjxwYXRoIGZpbGw9IiMzNGE4NTMiIGQ9Ik0xMjAgMTA4aDE0YzMuMzIgMCA2LTIuNjkgNi02VjU5bC0yMCAxNSIvPg0KPHBhdGggZmlsbD0iI2ZiYmMwNCIgZD0iTTEyMCA0OHYyNmwyMC0xNXYtOGMwLTcuNDItOC40Ny0xMS42NS0xNC40LTcuMiIvPg0KPHBhdGggZmlsbD0iI2VhNDMzNSIgZD0iTTcyIDc0VjQ4bDI0IDE4IDI0LTE4djI2TDk2IDkyIi8+DQo8cGF0aCBmaWxsPSIjYzUyMjFmIiBkPSJNNTIgNTF2OGwyMCAxNVY0OGwtNS42LTQuMmMtNS45NC00LjQ1LTE0LjQtLjIyLTE0LjQgNy4yIi8+DQo8L3N2Zz4=",
- "status": "ACTIVE",
- "total_tools_count": 3
}, - {
- "id": "853490e8-c574-41ac-8d9f-38e49f3860b0",
- "created_on": "2026-05-21T08:53:42.285528Z",
- "last_updated_on": "2026-05-21T08:53:42.285528Z",
- "installed_on": "2026-05-21T08:53:44.885911Z",
- "name": "o2c-mcp-source-1",
- "description": "o2c-mcp-source",
- "title": null,
- "headers": "<encrypted-headers>",
- "transport_type": "SSE",
- "authentication": null,
- "tools": [ ],
- "request_id": null,
- "status": "ACTIVE"
}
]
}, - "created_on": "2026-06-01T09:19:30.235444Z"
}
}Delete A Package By Agent Id And Package Id
Delete a package given an agent ID and package ID. A package cannot be deleted if it has existing deployments.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_DELETE.
Authorizations:
path Parameters
| agent_id required | string <uuid> (Agent Id) |
| package_id required | string <uuid> (Package Id) |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PackageResponse (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Package deleted successfully",
- "data": null
}Create An Agent Deployment
Create an Agent deployment given the agent ID and environment ID.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW, AGENT_CREATE, AGENT_INSTALL.
Authorizations:
path Parameters
| agent_id required | string <uuid> (Agent Id) |
Request Body schema: application/jsonrequired
| package_id required | string (Package Id) The Package ID related to the deployment. |
| environment_id required | string (Environment Id) The ID of the environment that the package is deployed to. |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
DeploymentResponse (object) or null |
Request samples
- Payload
{- "package_id": "ec504e2b-aaaa-bbbb-cccc-ddddeeee0006",
- "environment_id": "e5f6a7b8-aaaa-bbbb-cccc-ddddeeee0004"
}Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Agent Package deployed successfully",
- "data": {
- "package_id": "ec504e2b-dda2-4c6a-902f-78a72d3ab056",
- "environment_id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
- "deployment_id": "127c3eb2-24ef-482c-b7cc-8ac66727bc80",
- "agent_id": "8ff7eb8c-4b35-476c-b8f4-6c4f27878dc3",
- "deployment_status": "ACTIVE",
- "deployed_on": "2026-06-01T09:19:43.739975Z",
- "deployed_by": "<user-id>",
- "last_updated_on": "2026-06-01T09:19:43.739975Z",
- "agent_name": "Enterprise O2C Agent",
- "agent_mode": "conversational",
- "origin": null,
- "is_favorite": false,
- "profile_picture": null,
- "package_version": "1.0",
- "package_name": "Enterprise O2C Agent",
- "environment_name": "Agent Garden Production",
- "runtimes": [
- {
- "runtime_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
- "runtime_name": "USA East Agent Garden Cloud 01",
- "runtime_region": "US",
}
]
}
}Delete A Deployment By Agent Id And Deployment Id
Delete a deployment given an agent ID and deployment ID.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_DELETE.
Authorizations:
path Parameters
| agent_id required | string <uuid> (Agent Id) |
| deployment_id required | string <uuid> (Deployment Id) |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
Deployment (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Agent Deployment deleted successfully",
- "data": null
}